COM IDENTIFICAR SI TINC BASE ESTABLE O INESTABLE?

¿Cómo identificar si tengo base estable o inestable?

Hola gent, avui els presentem un nou mètode per identificar si estem fent servir Deepin amb base estable o base inestable, això després d'una fallada en Deepin 15.10.1 inestable que causa que la comanda "lsb_release" retornés el paràmetre Codename amb informació incorrecta.

Hem preparat el següent procediment per fer-li més fàcil a vostè identificar si està utilitzant Deepin estable o inestable ja que en algunes situacions aquesta informació podria ser d'importància. Si necessita saber quina versió exacta del sistema té si us plau feu el següent:

Descarregueu el següent script i deseu-lo en Escriptori:

Icon

ANALITZADOR DE VERSIÓ PER DEEPIN

INFORMACIÓ SOBRE LA DESCÀRREGA ...

0.64 KB 398 downloads
ANALIZADOR DE VERSIÓN PARA DEEPIN

Un cop descarregat, si us plau verifiqui que l'arxiu checkdeepin.sh està en el seu escriptori. Llavors minimitzi totes les finestres per poder veure l'escriptori.

Feu clic dret en un lloc buit de l'escriptori i després feu clic a l'opció obrir al terminal.

Executeu la comanda:

sh checkdeepin.sh

Vostè obtindrà una de les següents respostes:

Se ha detectado Deepin basado en Debian inestable.
Se ha detectado Deepin basado en Debian estable.

També podria obtenir altres respostes si realitza el procediment en una altra distribució o si té errors en la configuració del seu sistema.

Això és tot per avui, poden obtenir informació relacionada en els següents enllaços.

Agraïment especial a Hugo Florentino per la seva col·laboració.

30
Què en penses?

Si us plau Introduïu per comentar
15 Fils de comentaris
15 Respostes a fils
0 Seguidors
 
Comentari amb mes reaccions
Fil més comentat
17 Autors dels comentaris
monziJose Luis Rodríguez Villarrealmaynor herculesjacePeligroso Mario Autors dels comentaris més recents
Subscriu
Mas nous Mas antics Mas populars
notificar de
MildloudMouth
Membre

Això és molt útil especialment ara jaja gràcies!

Osvaldo Daniel Cardozo
Membre

Gràcies nois, són uns genis!

Eli
editor

excel·lent article Isaías Gätjens MIsaïes Gätjens M, gràcies Osvaldo Daniel CardozoOsvaldo Daniel Cardozo per les paraules amables.

Antonio Arapovic
Membre

me salen las sh: 0: Can’t open checkdeepin.sh no entiendo ?????

Socorro Hernádez Cortes
Membre

Saludos a todos, tengo una pregunta hice lo que dice el presente articulo y me apareció esto:
#! /bin/sh

SRCLIST=»/etc/apt/sources.list»

if [ -f «${SRCLIST}» ]; then
DEBDIST=$(grep -E ‘^deb .*/deepin/? \S+ main’ «${SRCLIST}» \
| sed -r ‘s/^.* (\S+) main .*$/\1/’)
if [ $(echo «${DEBDIST}» | wc -l) -gt 1 ]; then
echo «Su ‘sources.list’ parece estar inconsistente; debe repararlo.»
exit 1
fi
if [ «${DEBDIST}» = «panda» ]; then
echo «Se ha detectado Deepin basado en Debian inestable.»
elif [ «${DEBDIST}» = «lion» ]; then
echo «Se ha detectado Deepin basado en Debian estable.»
else
echo «No parece tener una distribución Deepin.»
fi
else
echo «No parece tener una distribución derivada de Debian.»
fi

exit 0

¿Qué puedo hacer? les agradeceré el tiempo que se tomen para contestar gracias.

pytrader
Membre

No tinc habilitat al deepin manager el obrir a terminal, podrien guiar-nos per a això? s'agraeix

Teo
Membre

Molt bé, i si la base és inestable com es repara ????

Car
editor

Felicitacions molt útil i aclaridor; Gràcies .... !!! Isaïes i Hugo

Francisco Martinez
Membre

Hola, no se si la pregunta se pone aqui o no, pido perdon si no es asi.

Bien, el lunes dia 20 compruebo si la distribucion es stable o no con lsb_release -a, y me pone inestable(Deepin 15.10).

Hoy dia 24 se me actualiza a Version(Deepin 15.10.1) y ejecuto el mismo comando(lsb_release -a) y ya me dice que es stable.

Y sin embargo ejecuto el archivo sh checkdeepin.sh, desde escritorio>terminal (tal como se describe en el comunicado), y me dice lo siguiente: No parece tener una distribución Deepin.

¿¿¿ Esto que quiere decir, Tengo Inestable, Stable o no tengo Deepin, a que es debido esto.

Yo uso Deepin desde la version 15.5, pero esto me a dejado totalmente desmarcado.

A la espera de respuesta deseo a todos buen dia.

Gràcies.

Eli
editor

Hola AvatarFrancisco Martinez, pudiera ser un error desconocido aun, aparte de nuestro script, la otra manera de saber es mediante tu cerebro 🙂 si instalaste de cero tienes «estable» si actualizaste de la versión anterior tienes «inestable» saludos.

Francisco Martinez
Membre

Gràcies.

Si, actualize desde versiones anteriores sucesivamente, por tanto tengo inestable.

Habra que actualizar desde cero cuando la version este mas pulida, pues en otra pc lo instale desde cero pero  los repositorios a la hora de instalar aplicaciones fallan mucho.

Lo dicho Gracias por tu pronta respuesta.

Dark death
Membre

whether installing deepin 15.10 from 0 can I have files or do I need to completely delete all files?

Peligroso Mario
Membre
Respondido por: Dark death

whether installing deepin 15.10 from 0 can I have files or do I need to completely delete all files?

Say what…….????

dsavenk0
Membre

Sudo apt install screenfetch

Dark death
Membre

screenfetch screen added
when I want to install deepines-repository 3.1, I get an error.

Dark death
Membre

added one more time sorry

DeepinScreenshot_deepin-deb-installer_20190526204043.png
DeepinScreenshot_select-area_20190526201346.png
dsavenk0
Membre

your processor is overheating, change the cooling…

jace
Membre

crec que havia una ordre per a això

maynor hercules
Membre

Bones em va donar com a resultat basat en debian inestable ara que faig?
m'ajudes si us plau!

Jose Luis Rodríguez Villarreal
Membre

Muy útil, buen trabajo, espero todos podamos aportar y hacer de este sistema uno de los mejores.

monzi
Membre

Gracias. La respuesta ha sido:
»Deepin basado en Debian estable».
Recién instalada, antes estaba en Ubuntu 16.04 pero dejó de funcionar y alguien me instaló Deepin, voy a ver si encuentro ayuda para saber por qué no me permite ver un dvd ni grabar una película con Brasero.
Gracias.